Skip to main content

Record customer arrival

POST /v2/post_checkout/orders/{order_id}/pickup/user_arrived

Use this operation to record that the customer (or the customer's delegate) has arrived at the store for a curbside pickup. Instacart then notifies one or more of the store's associates so they know to run the order out to the designated pickup area.

Security

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters

NameInTypeRequiredDescription
order_idpathstringRequired

The ID of the order.

Request

FieldTypeRequiredDescription
is_pickup_delegatebooleanOptional

Indicates whether the person picking up the order is a delegate. If true, then a pickup delegate object must already be associated with the order for the feature to work correctly. Defaults to false.

Request examples

curl --request POST \
--url 'https://connect.instacart.com/v2/post_checkout/orders/{order_id}/pickup/user_arrived' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"is_pickup_delegate": true
}'

Response

FieldTypeRequiredDescription
successbooleanRequired

Whether the request was successful.

Response examples

200 Success

{
"success": true
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Order delivery is not staged"Params error"2001{"order_delivery_id":"Order delivery is not staged."}
400Order was not created with Fulfillment v3, trying to fetch with client credentials"User ID not found"4001Not applicable
404Order not found"Resource not found"4000Not applicable
404No pickup status found"No pickup status found for order"4000Not applicable